clear
path(path, '~/htomo/work/mbin');


Nx=720;Nz=560;Ns=29;

x0 = 61; xf = Nx-60;
z0 = 111; zf = Nz-50;

%x0=1;xf=Nx;
%z0=1;zf=Nz;


%Load unperturbed case to I0
I=loadbin('/scratch/lustreA/s/sburdic/data/Isub_Grad5vadj','float');
ii=reshape(I,Nz,Nx,[]); % + i*reshape(I(2:2:end),Nz,Nx,Ns*2);
clear I
I0 =  ii;
I=loadbin('/scratch/lustreA/s/sburdic/data/Isub_Grad3vadj','float');
ii=reshape(I,Nz,Nx,[]); % + i*reshape(I(2:2:end),Nz,Nx,Ns*2);
clear I
If =  ii;


v0=reshape(loadbin('../htomo/work/models/vsub0','float'),Nz,Nx);
v=reshape(loadbin('../htomo/work/models/vsub','float'),Nz,Nx);
v0=v0(z0:zf,x0:xf);
v=v(z0:zf,x0:xf);


ii0=sum(I0(z0:zf,x0:xf,30:58),3);
iif=sum(If(z0:zf,x0:xf,30:58),3);
 
ii0=conv2(ii0,ones(41),'same'); 
iif=conv2(iif,ones(41),'same'); 

fac0=max(abs(v(:)))/max(abs(ii0(:)));
facf=max(abs(v(:)))/max(abs(iif(:)));

ii0=ii0*fac0;
iif=iif*facf;


step=0:.01:3;

for m=1:length(step);
  J20(m)=sqrt(sum((v(:)-step(m)*ii0(:)).^2));
  J2f(m)=sqrt(sum((v(:)-step(m)*iif(:)).^2));
  
  
  J10(m)=sum(v(:)-(step(m)*ii0(:)));
  J1f(m)=sum(v(:)-(step(m)*iif(:)));
  
end

figure;plot(step,J20,'b');hold on;plot(step,J2f,'k')

[tmp min0] = min(J20);
[tmp minf] = min(J2f);

step(min0)
step(minf)



for m=1:length(step);
  J2x(m)=sqrt(sum((v(:)-(step(minf)*iif(:)+step(m)*ii0(:))).^2));
  
end

[tmp minx] = min(J2x);



