clear
path(path, '~/htomo/work/mbin');

namein = '/scratch/lustreA/s/sburdic/data/Isub_All';
nameout = '/scratch/lustreA/s/sburdic/data/Isub_wide';

 
zup   =loadbin([namein 'zup']  ,'float');
zdown =loadbin([namein 'zdown'],'float');
dz    =loadbin([namein 'dz']   ,'float');
sigma =loadbin([namein 'sigma'],'float');
s1    =loadbin([namein 's1']   ,'float');
s2    =loadbin([namein 's2']   ,'float');
xi    =loadbin([namein 'x']   ,'float');
zi    =loadbin([namein 'z']   ,'float');


%mm=find(s1==15 & s2==20);
%mm=find(zi>250);
mm=find(zi>0);

%s1=ones(length(xi),1);
%s2=2*ones(length(xi),1)
length(mm)


hh=unique([xi,zi,zup,zdown,sigma,dz],'rows');

zup2=zeros(length(hh)*15*14,1);
zdown2=zup2;
dz2=zup2;
sigma2=zup2;
s12=zup2;
s22=zup2;
xi2=zup2;
zi2=zup2;

nn=0;
for is1=1:2:29
  for is2=2:2:29
    for ih=1:length(hh(:,1));
        nn=nn+1;
        zup2(nn)=hh(ih,3);
        zdown2(nn)=hh(ih,4);
        dz2(nn)=hh(ih,6);
		sigma2(nn)=hh(ih,5);
		s12(nn)=is1;
		s22(nn)=is2;
		xi2(nn)=hh(ih,1)+360;
		zi2(nn)=hh(ih,2);
	end
   end
 end

length(xi2)

savebin(zup2,  [nameout 'zup']  ,'float');
savebin(zdown2,[nameout 'zdown'],'float');
savebin(dz2,   [nameout 'dz']   ,'float');
savebin(sigma2,[nameout 'sigma'],'float');
savebin(s12,   [nameout 's1']   ,'float');
savebin(s22,   [nameout 's2']   ,'float');
savebin(xi2,   [nameout 'x']   ,'float');
savebin(zi2,   [nameout 'z']   ,'float');


break
savebin(zup(mm),  [nameout 'zup']  ,'float');
savebin(zdown(mm),[nameout 'zdown'],'float');
savebin(dz(mm),   [nameout 'dz']   ,'float');
savebin(sigma(mm),[nameout 'sigma'],'float');
savebin(s1(mm),   [nameout 's1']   ,'float');
savebin(s2(mm),   [nameout 's2']   ,'float');
savebin(xi(mm),   [nameout 'x']   ,'float');
savebin(zi(mm),   [nameout 'z']   ,'float');
