%clear
%path(path, './mbin');



srcap = 300;

Nx=720;Nz=560;Ns=29;
src=srcap+1:10:Nx-srcap;


x0 = 61; xf = Nx-60;
z0 = 111; zf = Nz-50;

xi0=[];zi0=[];
Ixz=imread('vsub_I.bmp');
for ix=1:Nx;
    for iz=1:Nz
        if Ixz(iz,ix) < 254; xi0=[xi0 ix];zi0=[zi0 iz];end
    end
end


if 1
%Load unperturbed case to I0
%I=loadbin('./data/Isub_adjPR0','float');
I=loadbin('./data/Isub_invEF5','float');
ii=reshape(I,Nz,Nx,[]);
clear I
I0 =  ii(:,:,1:Ns);

%I=loadbin('./data/Isub_adjPRf4','float');
I=loadbin('./data/Isub_invEF1','float');
ii=reshape(I,Nz,Nx,[]); 
clear I
Ifalse =  ii(:,:,1:Ns);

I=loadbin('./data/Isub_resultPR','float');
ii=reshape(I,Nz,Nx,[]); 
clear I
IR =  ii(:,:,1:Ns);

I0=I0*1e9;
Ifalse=Ifalse*1e9;
end

K=figure(1);imagesc(0:(xf-x0)/4,0:(zf-z0)/4,sum(I0(z0:zf,x0:xf,1:Ns),3));axis equal tight
hold on

sec1 = 160:450; off1 = 170*ones(size(sec1));
yy1 = (sec1-z0)/4; xx1 = (off1-x0)/4;

sec2 = 180:480; off2 = 300*ones(size(sec2));
yy2 = (sec2-z0)/4; xx2 = (off2-x0)/4;

sec3 = 150:420; off3 = 500*ones(size(sec3));
yy3 = (sec3-z0)/4; xx3 = (off3-x0)/4;

plot(xx1,yy1,'k','linewidth',3)
plot(xx2,yy2,'k','linewidth',3)
plot(xx3,yy3,'k','linewidth',3)
text(xx1(1)-4,yy1(1),'A','Color','k','FontSize',16,'FontWeight','bold','HorizontalAlignment','center')
text(xx2(1)-4,yy2(1),'B','Color','k','FontSize',16,'FontWeight','bold','HorizontalAlignment','center')
text(xx3(1)-4,yy3(1),'C','Color','k','FontSize',16,'FontWeight','bold','HorizontalAlignment','center')
xlabel('Offset (km)');ylabel('Depth (km)')


H=figure(3);clf
aa=plot(sum(Ifalse(sec1,off1(1),:),3)/max(abs(sum(I0(sec1,off1(1),:),3))),yy1,'r','linewidth',1.2,'linestyle','-');hold on
plot(sum(Ifalse(sec2,off2(1),:),3)/max(abs(sum(I0(sec2,off2(2),:),3)))+2,yy2,'r','linewidth',1.2,'linestyle','-');
plot(sum(Ifalse(sec3,off3(1),:),3)/max(abs(sum(I0(sec3,off3(2),:),3)))+4,yy3,'r','linewidth',1.2,'linestyle','-');

bb=plot(sum(I0(sec1,off1(1),:),3)/max(abs(sum(I0(sec1,off1(1),:),3))),yy1,'k','linewidth',1.);
plot(sum(I0(sec2,off2(1),:),3)/max(abs(sum(I0(sec2,off2(2),:),3)))+2,yy2,'k','linewidth',1.);
plot(sum(I0(sec3,off3(1),:),3)/max(abs(sum(I0(sec3,off3(2),:),3)))+4,yy3,'k','linewidth',1.);

cc=plot(sum(IR(sec1,off1(1),:),3)/max(abs(sum(IR(sec1,off1(1),:),3))),yy1,'b','linewidth',1.5,'linestyle','--');
plot(sum(IR(sec2,off2(1),:),3)/max(abs(sum(IR(sec2,off2(2),:),3)))+2,yy2,'b','linewidth',1.5,'linestyle','--');
plot(sum(IR(sec3,off3(1),:),3)/max(abs(sum(IR(sec3,off3(2),:),3)))+4,yy3,'b','linewidth',1.5,'linestyle','--');

text(-.1,yy1(5),'A','Color','k','FontSize',16,'FontWeight','bold','HorizontalAlignment','center')
text(1.9,yy2(5),'B','Color','k','FontSize',16,'FontWeight','bold','HorizontalAlignment','center')
text(3.9,yy3(15),'C','Color','k','FontSize',16,'FontWeight','bold','HorizontalAlignment','center')


xlabel('Normalized image amplitude');ylabel('Depth (km)')
legend([aa,bb,cc],'Starting model','True model','Inversion model','position','southeast')
axis tight 
set(gca,'YDir','reverse')











