%Plot elements of the sensitivity matrix


%clear
path(path, '~/htomo/work/mbin');

Nx=720;Nz=560;Ns=29;
x0=60;xf=Nx-60;
z0=110;zf=Nz-50;

if 1
namein = '/scratch/lustreA/s/sburdic/data/Isub_20_14';
%namein = '/scratch/lustreA/s/sburdic/data/Isub_All';
 
zup   =loadbin([namein 'zup']  ,'float');
zdown =loadbin([namein 'zdown'],'float');
dz    =loadbin([namein 'dz']   ,'float');
sigma =loadbin([namein 'sigma'],'float');
s1    =loadbin([namein 's1']   ,'float');
s2    =loadbin([namein 's2']   ,'float');
xi    =loadbin([namein 'x']   ,'float');
zi    =loadbin([namein 'z']   ,'float');



g0=loadbin(['/scratch/lustreA/s/sburdic/data/Isub_KernfJ  1'],'float');

 nn=length(g0); 
 
 g=zeros(nn,322);
  
for mm=2:323  
  g(:,mm-1)=loadbin(['/scratch/lustreA/s/sburdic/data/Isub_KernfJ' sprintf('%3d',mm-1)],'float');
  %g(:,mm-1)=loadbin(['/scratch/lustreA/s/sburdic/data/Isub_KernLSJ' sprintf('%3d',mm-1)],'float');   
end

gg0=repmat(g0,1,322);




gg=zeros(23,14,nn);gtot=zeros(23*14,1);
for mm=1:nn
  gg(:,:,mm)=reshape(g(mm,:)-gg0(mm,:),23,14);
  gtot(:)=gtot(:)+(g(mm,:)'-gg0(mm,:)');
end
end


mm=1300;

ixx=0;
for iz=z0+12:24:zf-16-48
    for ix=x0+36:24:xf-36
        ixx=ixx+1;
        gx(ixx)=ix;
        gz(ixx)=iz;
        ga(ixx)=(-1)^ixx*200;
    end
end

z=linspace(-pi/2,pi/2,47);x=z;  
for ix=1:47;for iz=1:47;bass(iz,ix)=cos(z(iz))^2*cos(x(ix))^2;end;end

vc=zeros(Nz,Nx);
for ig=1:ixx
  vc(gz(ig)-23:gz(ig)+23,gx(ig)-23:gx(ig)+23) = vc(gz(ig)-23:gz(ig)+23,gx(ig)-23:gx(ig)+23)+ (g(mm,ig)-gg0(mm,ig))*bass;
  %vc(gz(ig)-23:gz(ig)+23,gx(ig)-23:gx(ig)+23) = vc(gz(ig)-23:gz(ig)+23,gx(ig)-23:gx(ig)+23)+ gtot(ig)*bass;

end

figure;imagesc(vc(z0:zf,x0:xf));axis equal tight;c=0.8*max(abs(caxis));caxis([-c c]);%colorbar
%hold on;errorbar(xi(mm)-x0,(zdown(mm)+zup(mm))/2-z0,(zdown(mm)-zup(mm))/2,'k','linestyle','none')
%hold on;scatter(xi(mm)-x0,zi(mm)-z0,'k','x')

break
ixx=0;
for ix=160:50:560
    for iz=150:50:350
        ixx=ixx+1;
        gx(ixx)=ix;
        gz(ixx)=iz;
        ga(ixx)=(-1)^ixx*200;
    end
end



z=linspace(-pi/2,pi/2,99);x=z;  
for ix=1:99;for iz=1:99;bass(iz,ix)=cos(z(iz))^2*cos(x(ix))^2;end;end

mm=200;

vc=zeros(Nz,Nx);
for ig=1:45
  vc(gz(ig)-49:gz(ig)+49,gx(ig)-49:gx(ig)+49) = vc(gz(ig)-49:gz(ig)+49,gx(ig)-49:gx(ig)+49)+ (g(mm,ig)-gg0(mm,ig))*bass;
end





